PETSc version 3.15.5
Fix/Edit manual page

# PetscDTStroudConicalQuadrature

create Stroud conical quadrature for a simplex

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTStroudConicalQuadrature(PetscInt dim, PetscInt Nc, PetscInt npoints, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

### Input Arguments

| dim | - The simplex dimension
| Nc | - The number of components
| npoints | - The number of points in one dimension
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Argument

| q | - A PetscQuadrature object

### References

| 1. | - Karniadakis and Sherwin. FIAT

Note: For dim == 1, this is Gauss-Legendre quadrature

### See Also

PetscDTGaussTensorQuadrature(), PetscDTGaussQuadrature()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c

### Examples

src/dm/field/tutorials/ex1.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages